Forum Linux.suse Comment faire apparaître les vignettes d'aperçu dans le navigateur ?

Posté par . Licence CC by-sa.
Tags : aucun
1
11
fév.
2019

Bonjour,

Je viens d'installer OpenSUSE Leap 15.0 dans VirtualBox hôte Mint 19.1

J'ai voulu ouvrir une vidéo avec Dragon Player, et comme il ne se passait rien, j'ai téléchargé VLC.

Alors que cette même vidéo s'ouvre sans soucis avec VLC depuis Mint (vlc version 3.0.4), depuis Suse (vlc version 3.0.2), pas possible, un message dit que :
"Ce codec n'est pas supporté:
VLC ne peut pas décoder le format « h264 » (H264 - MPEG-4 AVC (part 10))
Ce codec n'est pas supporté:
VLC ne peut pas décoder le format « mp4a » (MPEG AAC Audio)"

Pouvez-vous me confirmer que c'est dû au fait que la version des dépôts de Suse est plus ancienne (j'ai un doute vu que ce sont des codecs courants).

Il y a aussi un soucis avec l'explorateur Dolphin qui contrairement à Nemo n'affiche pas la vignette d'aperçu de la vidéo.
Y-a-t-il une manip à faire pour les afficher où c'est Dolphin qui ne le prévoit pas ?

J'essaye cette distribution dans le but de l'installer en dual-boot si elle me plaît.
Suite à une discussion concernant un bug de Timeshift qui est apparu avec la version 19 de Mint, et non corrigé dans la version 19.1, on m'a conseillé Suse, argumentant que Ubuntu et ses dérivées ne s’occupe pas assez des corrections de bugs nécessaires, tandis que OpenSUSE est bien plus propre sous le capot.

Si je pouvais avoir l'avis d'utilisateurs réguliers qui confirment ou infirment ce point de vue, ça m'aiderait à me décider car j'hésite suite à cette première expérience pas très concluante, les vignettes étant pour moi plus qu'un simple confort dans le dossier Images :(

Merci

  • # codecs ?

    Posté par . Évalué à 1 (+0/-0).

    As tu installé vlc-codecs ?

    • [^] # Re: codecs ?

      Posté par . Évalué à 2 (+1/-0).

      Merci pour ta réponse.

      Pas l'habitude du gestionnaire de logiciels de Yast, je viens de chercher vlc-codecs dans la zone de recherche, vlc-codec-gstreamer est installé, rien d'autre n'est proposé.

      Titre de l'image

      • [^] # Re: codecs ?

        Posté par . Évalué à 1 (+0/-0).

        Tu as bien les libraires x264 installées?

        Pour les miniatures dans dolphin regarde si ffmpegthumbs ne résoud pas ton probleme.

        • [^] # Re: codecs ?

          Posté par . Évalué à 1 (+0/-0).

          Merci seb.B

          Je suis un peu débutante…

          J'ai ouvert Yast et cherché fmpegthumbs qui était coché.
          Ne sachant si ça veut dire qu'il est déjà installé, j'ai cliqué sur accepter, il ne s'est pas passé grand chose et les vignettes n'apparaissent toujours pas.

          Comment faire pour savoir si les librairies x264 sont installées ?
          J'ai essayé un locate x264 qui ne fonctionne pas dans le terminal, fait une recherche sur x264 dans le dossier /lib où rien n'a été trouvé.

      • [^] # Re: codecs ?

        Posté par . Évalué à 2 (+0/-0).

        Sur mon OpenSuse Leaf, le paquet vlc-codecs provient du dépôt Packman (configuré avec l'URL suivante http://packman.inode.at/suse/openSUSE_Leap_15.0/).
        Je ne peux pas trop t'aider plus car je viens de my mettre.

        • [^] # Re: codecs ?

          Posté par . Évalué à 1 (+0/-0).

          Merci pour ta réponse Axone, mais comme je disais plus haut je suis plutôt débutante et je ne sais pas quoi faire avec ton lien.

          J'ai ouverts plusieurs dossiers à la recherche de quelque chose portant le nom de vlc-codec, mais pas trouvé, et il ne semble pas y avoir de zone de recherche.

          • [^] # Re: codecs ?

            Posté par . Évalué à 2 (+0/-0).

            J'ai farfouillé et je pense avoir trouvé comment tu dois faire :
            - Tu vas dans Yast
            - tu sélectionnes "Dépôts de logiciels"
            - Cela t'affiche la liste des dépôts qu'utilise ton ordinateur. Tu cliques alors sur le bouton "ajouter".
            - Une nouvelle fenêtre s'ouvre, tu choisis alors "Dépôts communautaires", puis tu cliques sur suivant.
            - Une nouvelle liste apparait. Pour ma part, j'ai sélectionné "Packman Repository" et "Liddvdcss Repository". Puis bouton OK.

            Ensuite dans Yast, cette fois ci dans "installer et supprimer des logiciels", tu devrais voir le paquet "vlc-codecs".

            • [^] # Re: codecs ?

              Posté par . Évalué à 1 (+0/-0).

              Super ton pas à pas détaillé Axone :)

              J'ai sélectionné la même chose que toi, maintenant vlc-codecs apparaît bien dans "installer et supprimer des logiciels".

              Mais comme rien ne va jamais tout seul, j'ai un message d'avertissement lorsque je veux l'installer :

              Titre de l'image

              Je suis dans une machine virtuelle et j'ai installé le système de fichier btrfs, les conditions ne sont peut-être pas idéales…

              • [^] # Re: codecs ?

                Posté par . Évalué à 3 (+1/-0). Dernière modification le 13/02/19 à 14:44.

                Bon alors, chez moi j'ai bien le paquet libx264-152 d'installé et qui fournit le fichier demandé. J'ai également la version libx264-155.
                Pour tester, j'ai supprimé le paquet vlc-codecs et libx264-152. Puis je redemande l'installation de vlc-codecs et j'obtiens le même message que toi.
                J'ai l'impression qu'il y a un problème de dépendance et que le paquet vlc-codecs demande exactement le paquet libx264-152. Hors celui-ci aurait été mis à jour par le paquet libx264-155.
                Tout ceci est pour le dépôt Packmann si j'ai bien compris. Donc il y a un problème sur le dépôt Packman.

                Donc du coup, je suis allé sur le site de VLC et je suis allé dans la section OpenSuse.
                J'ai suivi les instructions en tapant :

                sudo zypper ar https://download.videolan.org/pub/vlc/SuSE/Leap_15.0 VLC
                sudo zypper mr -r VLC
                sudo zypper in vlc
                

                Ceci ajoute un nouveau dépôt, maintenu apparement par l'équipe de VLC et qui ne contient que vlc et ses dépendances.

                Puis sous Yast, j'ai demandé d'installer vlc-codecs. J'ai alors un message indiquant un problème de dépendance, mais cette fois-ci, je peux choisir de changer de fournisseur. En fait cela veut dire je pense que les paquets vlc installés depuis le dépôt Packman vont être remplacés par les paquets provenant du dépôt VLC. C'est bien le comportement que je veux, donc je choisis cette option.
                Quelques instants plus tard, j'ai bien mon paquet vlc-codecs d'installé.

                Donc pour résumer, je crois qu'il y a un problème avec vlc sur le dépot Packman, et qu'en passant par celui de l'équipe de VLC, cela fonctionne mieux.

                • [^] # Re: codecs ?

                  Posté par . Évalué à 1 (+0/-0).

                  Tu n'es pas avare d'explications, c'est assez rare et j'apprécie :)

                  Je vais donc suivre ta démarche et installer le dépôt de VLC.

                  Merci beaucoup et bonne journée.

Envoyer un commentaire

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.